<?php

namespace Liberty\Services\Inspeccion\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ConsultarResponse StructType
 * @subpackage Structs
 */
class ConsultarResponse_1 extends EmigenResponse
{
    /**
     * The codigoEstado
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $codigoEstado;
    /**
     * The descripcionEstado
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $descripcionEstado;
    /**
     * The fechaAprobacion
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $fechaAprobacion;
    /**
     * The fechaInspeccion
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $fechaInspeccion;
    /**
     * The numeroInspeccion
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var int
     */
    public $numeroInspeccion;
    /**
     * Constructor method for ConsultarResponse
     * @uses ConsultarResponse_1::setCodigoEstado()
     * @uses ConsultarResponse_1::setDescripcionEstado()
     * @uses ConsultarResponse_1::setFechaAprobacion()
     * @uses ConsultarResponse_1::setFechaInspeccion()
     * @uses ConsultarResponse_1::setNumeroInspeccion()
     * @param string $codigoEstado
     * @param string $descripcionEstado
     * @param string $fechaAprobacion
     * @param string $fechaInspeccion
     * @param int $numeroInspeccion
     */
    public function __construct($codigoEstado = null, $descripcionEstado = null, $fechaAprobacion = null, $fechaInspeccion = null, $numeroInspeccion = null)
    {
        $this
            ->setCodigoEstado($codigoEstado)
            ->setDescripcionEstado($descripcionEstado)
            ->setFechaAprobacion($fechaAprobacion)
            ->setFechaInspeccion($fechaInspeccion)
            ->setNumeroInspeccion($numeroInspeccion);
    }
    /**
     * Get codigoEstado value
     * @return string|null
     */
    public function getCodigoEstado()
    {
        return $this->codigoEstado;
    }
    /**
     * Set codigoEstado value
     * @param string $codigoEstado
     * @return \Liberty\Services\Inspeccion\StructType\ConsultarResponse_1
     */
    public function setCodigoEstado($codigoEstado = null)
    {
        // validation for constraint: string
        if (!is_null($codigoEstado) && !is_string($codigoEstado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoEstado, true), gettype($codigoEstado)), __LINE__);
        }
        $this->codigoEstado = $codigoEstado;
        return $this;
    }
    /**
     * Get descripcionEstado value
     * @return string|null
     */
    public function getDescripcionEstado()
    {
        return $this->descripcionEstado;
    }
    /**
     * Set descripcionEstado value
     * @param string $descripcionEstado
     * @return \Liberty\Services\Inspeccion\StructType\ConsultarResponse_1
     */
    public function setDescripcionEstado($descripcionEstado = null)
    {
        // validation for constraint: string
        if (!is_null($descripcionEstado) && !is_string($descripcionEstado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($descripcionEstado, true), gettype($descripcionEstado)), __LINE__);
        }
        $this->descripcionEstado = $descripcionEstado;
        return $this;
    }
    /**
     * Get fechaAprobacion value
     * @return string|null
     */
    public function getFechaAprobacion()
    {
        return $this->fechaAprobacion;
    }
    /**
     * Set fechaAprobacion value
     * @param string $fechaAprobacion
     * @return \Liberty\Services\Inspeccion\StructType\ConsultarResponse_1
     */
    public function setFechaAprobacion($fechaAprobacion = null)
    {
        // validation for constraint: string
        if (!is_null($fechaAprobacion) && !is_string($fechaAprobacion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fechaAprobacion, true), gettype($fechaAprobacion)), __LINE__);
        }
        $this->fechaAprobacion = $fechaAprobacion;
        return $this;
    }
    /**
     * Get fechaInspeccion value
     * @return string|null
     */
    public function getFechaInspeccion()
    {
        return $this->fechaInspeccion;
    }
    /**
     * Set fechaInspeccion value
     * @param string $fechaInspeccion
     * @return \Liberty\Services\Inspeccion\StructType\ConsultarResponse_1
     */
    public function setFechaInspeccion($fechaInspeccion = null)
    {
        // validation for constraint: string
        if (!is_null($fechaInspeccion) && !is_string($fechaInspeccion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fechaInspeccion, true), gettype($fechaInspeccion)), __LINE__);
        }
        $this->fechaInspeccion = $fechaInspeccion;
        return $this;
    }
    /**
     * Get numeroInspeccion value
     * @return int|null
     */
    public function getNumeroInspeccion()
    {
        return $this->numeroInspeccion;
    }
    /**
     * Set numeroInspeccion value
     * @param int $numeroInspeccion
     * @return \Liberty\Services\Inspeccion\StructType\ConsultarResponse_1
     */
    public function setNumeroInspeccion($numeroInspeccion = null)
    {
        // validation for constraint: int
        if (!is_null($numeroInspeccion) && !(is_int($numeroInspeccion) || ctype_digit($numeroInspeccion))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($numeroInspeccion, true), gettype($numeroInspeccion)), __LINE__);
        }
        $this->numeroInspeccion = $numeroInspeccion;
        return $this;
    }
}
